/************PEANUTS*COLORS****************/
$yellow : yellow;
$red: rgb(196, 13, 13);
$dark: rgb(31, 31, 31);
$mid: rgb(216, 216, 216);
$light: rgb(236, 236, 236);
$sky: rgb(193, 222, 231);
$cloud: rgb(221, 241, 247);

/*************************************/

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Raleway', sans-serif;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    background-image: url("../images/geometry.png");
    color: $dark;
    /* Background pattern from Toptal Subtle Patterns */
}

h2 {
    font-family: 'Cabin Sketch', cursive;
    text-align: center;
    text-transform: uppercase;
    font-size: 40px;
    margin-bottom: 50px;
}

section {
    padding-left: 18%;
    padding-right: 18%;
    padding-top: 100px;
    padding-bottom: 50px;
    min-height: 100vh;
}


@media (max-width: 650px) {
    section {
        padding-left: 4%;
        padding-right: 4%;
        padding-top: 40px;
        padding-bottom: 20px;
    }    
}

/* BARRE DE NAVIGATION */
nav {
    z-index: 998;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    padding: 10px;
    &.nav-scroll {
        box-shadow: 0 10px 10px -10px rgba(0,0,0,.2);
    }
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    font-size: 20px;
    background: white;
    .logo {
        display: flex;
        align-items: center;
        font-family: 'Cabin Sketch', cursive;
        text-decoration: none;
        font-weight: 700;
        color: $dark;
        font-size: 40px;
        text-transform: uppercase;
        p {
            margin: 0;
        }
        img {
            width: 40px;
            margin: 8px;
        }
    }
    #burger {
        cursor: pointer;
        display: none;
    }
    .navigation {
        a {
            display: inline-block;
            position: relative;
            margin: 8px;
            padding: 6px 0;
            color: $dark;
            transition: all .5s;
            text-decoration: none;
            &:after {
                margin: auto;
                position: absolute;
                bottom: 0;
                left: 0;
                right: 0;
                width: 0%;
                height: 4px;
                content: "";
                background: $yellow;
                transition: all .5s;
            }
            &:hover:after {
                width: 100%;
            }
        }
    }

}

@media (max-width: 650px) {
    #acceuil {
        overflow-x: hidden; /* mobile ignore overflow-x hidden on body */
    }
    nav {
        position: static;
        display: block;
        padding: 0;
        .logoBurger {
            padding: 10px;
            display: flex;
            justify-content: space-between;
            align-items: center;
            #burger {
                display: block;
                position: relative;
                .burgerIcon {
                    position: absolute;
                    bottom: -15px;
                    right: 0;
                    width: 28px;
                    height: 28px;
                    #burger1 {
                        width: 100%;
                        height: 6px;
                        border-top: 4px solid $dark;
                        border-bottom: 4px solid $dark;
                    }
                    #burger2 {
                        width: 100%;
                        height: 6px;
                        border-bottom: 4px solid $dark;
                    }
                }
                &:hover {
                    #burger1, #burger2 {
                        border-color: $red;
                    }
                }
                // &.collapse {
                //         #burger1 {
                //             width: 100%;
                //             height: 6px;
                //             border-top: 4px solid $dark;
                //             border-bottom: 4px solid $dark;
                //         }
                //         #burger2 {
                //             width: 100%;
                //             height: 6px;
                //             border-bottom: 4px solid $dark;
                //         }
                //     }    
                // }
            }
        }
        .navigation {
            margin: 0;
            display: none;
            a {
                display: block;
                padding: 10px;
                margin: 0;
                width: 100%;
                background: $light;
                &:hover:after {
                    width: 0;
                }
                &:hover {
                    background-color: $mid;
                }
            }
            &.collapse {
                display: block;
            }
        }
    }    
}

/* section acceuil */

#acceuil {
    height: 500px;
    min-height: 500px;
    position: relative;
    // background: $sky;
    background-image: linear-gradient(to top,$sky, rgb(148, 196, 212));
}

#sleepy { /*image de snoopy*/
    position: absolute; 
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto;
    bottom: 0;
}

#woodstFlying { /*image de woodstock*/
    width: 50px;
    position: absolute;
    right: 40%;
    bottom: 300px;
    animation: moving 5s ease-in-out, flying 2s ease-in-out infinite, flying-rotate 3s ease-in-out infinite;
}

@keyframes moving {
    0% {
        right: -50px;
    }
    100% {
        right: 40%;
    }
}

@keyframes flying {
    0% {
        bottom:300px;
    }
    50% {
        bottom:315px;
    }
    
    100% {
        bottom:300px;
    }
}

@keyframes flying-rotate {
    0% {
         transform:rotate(0deg); 
    }
    50% {
         transform:rotate(6deg); 
    }
    75% {
        transform:rotate(-4deg); 
    }
    100% {
        transform:rotate(0deg); 
    }
}

.nuage {
    position: absolute;
    width: 100px;
    height: 40px;
    background: $cloud;
    border-radius: 48%;
    &:before {
        margin: auto;
        position: absolute;
        bottom: 10px;
        left: 12px;
        width: 45px;
        height: 45px;
        border-radius: 50%;
        content: "";
        background: $cloud;
    }
    &:after {
        margin: auto;
        position: absolute;
        bottom: 20px;
        right: 15px;
        width: 30px;
        height: 30px;
        border-radius: 50%;
        content: "";
        background: $cloud;
    }
}

#nuage1 {
    top: 20%;
    left: -110px;
    animation: nuage 30s linear infinite;
}

#nuage2 {
    top:20%;
    left: -110px;
    animation: nuage 30s linear infinite;
    animation-delay: 10s;
}

#nuage3 {
    width: 110px;
    &:after {
        width:50px;
        height: 50px;
    }
    &:before {
        width:50px;
        height: 50px;
    }
    top:25%;
    left: -110px;
    animation: nuage 30s linear infinite;
    animation-delay: 20s;
}

@keyframes nuage {
    0% {
        left: -110px;
    }
    100% {
        left: 100%;
    }
}

/* section history */
#history {
    h2 {
        color: $red;
    }
    p {
        line-height: 1.6;
    }
    .exemple {
        img {
            display: block;
            max-width: 100%;
            padding: 10px;
            margin-left: auto;
            margin-right: auto;
        }
        figcaption {
            text-align: center;
        }
    }
}
/* section characters */

#characters {
     h2 {
        color: $red;
    }
}

.characters {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    .charac {
        position: relative;
        width: 120px;
        height: 120px;
        background-color: white;
        border: 4px solid $light;
        margin: 16px 8px;
        box-shadow: 0 10px 10px -10px rgba(0,0,0,.2);
        background-repeat: no-repeat;
        background-position: center bottom;
        &:hover {
            border-color: $yellow;
            cursor: pointer;
        }

    }
}

#charlie {
    background-image: url("../images/characters/charlie-o.png");
    &:hover {
        background-image: url("../images/characters/charlie-r.png");
    }
}

#snoopy {
    background-image: url("../images/characters/snoopy-o.png");
    background-position: center center;
    &:hover {
        background-image: url("../images/characters/snoopy-r.png");
        background-position: center center;
    }
}

#woodstock {
    background-image: url("../images/characters/woodstock-o.png");
    background-position: center center;
    &:hover {
        background-image: url("../images/characters/woodstock-r.png");
        background-position: center center;
    }
}

#lucy {
    background-image: url("../images/characters/lucy-o.png");
    &:hover {
        background-image: url("../images/characters/lucy-r.png");
    }
}

#linus {
    background-image: url("../images/characters/linus-o.png");
    &:hover {
        background-image: url("../images/characters/linus-r.png");
    }
}

#sally {
    background-image: url("../images/characters/sally-o.png");
    &:hover {
        background-image: url("../images/characters/sally-r.png");
    }
}

#pigpen {
    background-image: url("../images/characters/pigpen-o.png");
    &:hover {
        background-image: url("../images/characters/pigpen-r.png");
    }
}

#schroeder {
    background-image: url("../images/characters/schroeder-o.png");
    &:hover {
        background-image: url("../images/characters/schroeder-r.png");
    }
}

#peppermint {
    background-image: url("../images/characters/peppermint-o.png");
    &:hover {
        background-image: url("../images/characters/peppermint-r.png");
    }
}

#franklin {
    background-image: url("../images/characters/franklin-o.png");
    &:hover {
        background-image: url("../images/characters/franklin-r.png");
    }
}

#marcie {
    background-image: url("../images/characters/marcie-o.png");
    &:hover {
        background-image: url("../images/characters/marcie-r.png");
    }
}

/* DETAILS PERSONNAGES */

#custom-fancybox {
    z-index: 999;
    background-color: rgba(211, 211, 211, 0.589);
    position: fixed;
    margin: 0;
    top: 0;
    min-width: 100%;
    min-height: 100%;
    display: none;

    &.active {
        display: flex;
        justify-content: center;
        align-items: center;
        animation: fadeIn .3s linear;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}

.characDetails {
    position: relative;
    border: 2px solid $red;
    background-color: white;
    width: 500px;
    max-height: 90vh;
    padding: 30px;
    display: none;
    h3 {
        font-family: 'Cabin Sketch', cursive;
        font-size: 36px;
        font-weight: 400;
        margin: 0;
    }
    h4 {
        color: $red;
        font-weight: 600; 
        margin-top: 4px;
    }
    p {
        line-height: 1.4;
    }
    .detailImg {
        display: flex;
        align-items: flex-end;
        img {
            width: 100%;
        }
    }
    .close {
        position: absolute;
        right: 2px;
        top: 2px;
        width: 30px;
        height: 30px; 
        cursor: pointer;
        &:before {
            position: absolute;
            top: 14px;
            left: 4px;
            width: 22px;
            transform: rotate(45deg);
            height: 3px;
            content: "";
            background: $dark;
        }
        &:after {
            position: absolute;
            top: 14px;
            right: 4px;
            width: 22px;
            transform: rotate(-45deg);
            height: 3px;
            content: "";
            background: $dark;
        }
        &:hover {
            &:before, &:after {
                background: $red;
            }
        }
        
    }

    &.active {
        display: grid;
        grid-template-columns: 60% 40%;
        column-gap: 2px;
    }
}


@media (max-width: 580px) {
    .characDetails {
        background-color: white;
        width: 100%;
        max-height: 100vh;
        padding: 8px;
        &.active {
            display: block;
            img {
                max-width: 50%;
                margin-left: auto;
                margin-right: auto;
            }
        }
    }
}




/* section author */

#author {
    background-color: $light;
    h2 {
        color: $dark;
    }
    .schutz {
        display: grid;
        grid-template-columns: 40% 60%;
        column-gap: 40px;
        img {
            width: 100%;
            margin: 8px 0;
            box-shadow: 0 10px 10px -10px rgba(0,0,0,.7);
        }
        p {
            margin: 4px 0;
            line-height: 1.6;
        }
    }
}

@media (max-width: 650px) {
    #author {
        .schutz {
            display: block;
            padding-right: 2%;
            padding-left: 2%;
            p {
                padding-top: 10px;
            }
        }
    }
}

/* FOOTER */

#contact {
    min-height: 400px;
    background: $sky;
    h2 {
        text-transform: none;
        font-weight: 400;
        font-size: 40px;
    }
}
/* CONTACT FORM */
.contact {
    width: 400px;
    margin-right: auto;
    margin-left: auto;
}

@media (max-width: 460px) {
    .contact {
        width: 100%;
    }
}
input[type=text], input[type=email], textarea {
    border: 2px solid transparent;
    border-radius: 0;
    width: 100%;
    padding: 12px;
    box-sizing: border-box; /* Make sure that padding and width stays in place */
    margin-top: 6px;
    margin-bottom: 16px;
    resize: vertical;
    &:focus {
        border: 2px solid $yellow;
    }
}

input[type=submit] {
    background-color: $dark;
    color: white;
    font-family: 'Raleway', sans-serif;
    font-weight: 600;
    padding: 12px 20px;
    border: none;
    cursor: pointer;
}

input[type=submit]:hover {
    background-color: black;
}